Ports - Bug #290

gfortran bug
2013-01-13 09:33 AM - lluvia

Status: forwarded upstream % Done:
Priority: bug

Assignee:

Category:

Description

gfortran just asked me to report this. See at the end of the messages reported. | attached getopt_long.FO03.

[lluvia@parabola parse]$ LANG=en gfortran getopt_long.F03
getopt_long.F03:277.36:

type (getopt_type), pointer :: self

1
Error: Symbol 'self' at (1) already has basic type of REAL
getopt_long.F03:278.29:

integer, intent(in) :: argn

1
Error: Symbol 'argn' at (1) already has basic type of REAL
getopt_long.F03:279.2:

argv = self%argv(argn)%$string(l) (l:1len(argv))
1

Error: Unclassifiable statement at (1)

getopt_long.F03:274.30:

character(len=getopt_argv_len(self,argn)) &
1

Error: Type mismatch in argument 'self' at (1); passed REAL to TYPE
f951: internal compiler error: Segmentation fault

Please submit a full bug report,

with preprocessed source if appropriate.

See <https:/labs.parabola.nu/> for instructions.

History

#2 - 2013-07-21 09:11 AM - lluvia

gfortran people says that it will be probably solved for gfortran 4.9

http://gcc.gnu.org/ml/fortran/2013-07/msg00056.html

#3 - 2016-05-11 11:49 PM - Anonymous

- Project changed from 3 to Ports

Files

getopt_long.F03 26.2 KB 2013-01-13
